## org.codehaus.groovy.grails.plugins.web.filters
Class FilterConfig

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.filters.FilterConfig

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class FilterConfig

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`FilterConfig()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`groovy.lang.Closure` `getAfter()`
`groovy.lang.Closure` `getAfterView()`
`groovy.lang.Closure` `getBefore()`
`Object` `getErrors()`
`Object` `getFiltersDefinition()`
`boolean` `getInitialised()`
`groovy.lang.MetaClass` `getMetaClass()`
`ModelAndView` `getModelAndView()`
`String` `getName()`
`Object` `getProperty(String property)`
`Map` `getScope()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isInitialised()`
`Object` `methodMissing(String methodName, Object args)`
`Object` `propertyMissing(String propertyName)`
`void` `setAfter(groovy.lang.Closure value)`
`void` `setAfterView(groovy.lang.Closure value)`
`void` `setBefore(groovy.lang.Closure value)`
`void` `setErrors(Object value)`
`void` `setFiltersDefinition(Object value)`
`void` `setInitialised(boolean value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setModelAndView(ModelAndView value)`
`void` `setName(String value)`
`void` `setProperty(String property, Object value)`
`void` `setScope(Map value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterConfig

    public FilterConfig()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String value)

### getScope

    public Map getScope()

### setScope

    public void setScope(Map value)

### getBefore

    public groovy.lang.Closure getBefore()

### setBefore

    public void setBefore(groovy.lang.Closure value)

### getAfter

    public groovy.lang.Closure getAfter()

### setAfter

    public void setAfter(groovy.lang.Closure value)

### getAfterView

    public groovy.lang.Closure getAfterView()

### setAfterView

    public void setAfterView(groovy.lang.Closure value)

### getModelAndView

    public ModelAndView getModelAndView()

### setModelAndView

    public void setModelAndView(ModelAndView value)

### getInitialised

    public boolean getInitialised()

### isInitialised

    public boolean isInitialised()

### setInitialised

    public void setInitialised(boolean value)

### getErrors

    public Object getErrors()

### setErrors

    public void setErrors(Object value)

### getFiltersDefinition

    public Object getFiltersDefinition()

### setFiltersDefinition

    public void setFiltersDefinition(Object value)

### propertyMissing

    public Object propertyMissing(String propertyName)

### methodMissing

    public Object methodMissing(String methodName,
                                Object args)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project